Subject: Re: [Tsvwg] SCTP-Processing of bundled abort chunk

From: "Sonali Francis" <[email-masked]>
Date: Fri, 27 Aug 2004 16:15:54 +0530

Dear Bhanu,

As per the RFC, the sender of ABORT should consider following points:
1. While sending ABORT, control chunks other than INIT, INIT ACK and
SHUTDOWN COMPLETE can be bundled with it.
2. While sending ABORT, DATA chunk is not to be bundled with it.
3. While bundling ABORT with any other control chunk, the ABORT to be
placed at the end.

At the receiving end, while processing any chunk containing ABORT, the
receiver should do the following:
1.If the first chunk is ABORT, process it and then ignore rest of the
chunks in the packet.
2.If the last chunk is ABORT, then process other control chunks, but do not
respond.

Here the next obvious question may be, what if the sender of control
chunks, bundled with ABORT needs a response back.
But, can you identify any such scenario? In my opinion, there wont be any
such situation where the sender of ABORT need any response back other than
aborting the association.

Regards,

Sonali

                      bhanu                                                                                     
                      <[email-masked]        To:       [email-masked]                                    
                      lcatel.com>                   cc:                                                         
                      Sent by:                      Subject:  [Tsvwg] SCTP-Processing of bundled abort chunk    
                      [email-masked]                                                                    

                      08/27/2004 03:18 PM                                                                       

Hi

Regarding the processing of an ABORT chunk bundled with other control
chunks,
the following sections of RFC 2960 are somewhat conflicting:

The section 3.3.7 says:
"Control chunks (except for INIT, INIT ACK and SHUTDOWN COMPLETE)
 MAY be bundled with an ABORT but they MUST be placed before the ABORT
 in the SCTP packet, or they will be ignored by the receiver."
It means that the chunks bundled before ABORT chunk should be processed.

But the Section 9.1 says:
"An endpoint MUST NOT respond to any received packet that contains an
Abort chunk".

Again the Section 6.10 says:

"An endpoint MUST process received chunks in their order in the packet".

Can anybody guide us in this regard.

Regards
Bhanu.

_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg

______________________________________________________________________

______________________________________________________________________

_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg

---

From: Vladislav Yasevich <[email-masked]>
Date: Tue, 31 Aug 2004 10:58:28 -0400

On a similar note, what are the scenarios where bundling of any
chunk with ABORT is usefull?

The only one I can think of is an ERROR chunk.  Anything else might
as well not be sent.

-vlad

-- 
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Vladislav Yasevich		Linux and Open Source Lab
Hewlett Packard 		Tel: (603) 884-1079
Nashua, NH 03062		ZKO3-3/T07